Subject: Re: bug#17157: [PATCH 1/5] Partially revert "dfa: improve port to freestanding DJGPP"

From: [email-masked]
Date: Wed, 02 Apr 2014 01:40:15 -0600

Paul Eggert <[email-masked]> wrote:

> While we're on the topic, does anybody build gawk or grep with 
> -DMBS_SUPPORT=0?  I suspect not, which means we could simplify 
> dfaconfig.h compared to mbsupport.h.  (And if somebody does build it 
> that way, I suspect it's buggy....)

MBS_SUPPORT is defined by the checks in mbsupport.h - noone should
be setting it on the command line.

I build gawk that way once in a blue moon just to test.

It may be that VMS and OS/2 don't have the MBS support, I'm not
sure.

Please see my other mail about why mbsupport.h cannot be renamed
dfaconfig.h and that a separate file is needed.

Thanks,

Arnold